<template>
  <div class="state-management-container">
    <div>
      <device-run-starts-wrap
        :sourceId="deviceInfo.deviceId"
        :deviceInfo="deviceInfo"
        :prodId="deviceInfo.prodKey"
        :wsUrl="iotWebSocketBaseUrl"
        :realTimeData="realTimeData"
      ></device-run-starts-wrap>
    </div>
  </div>
</template>
<script>
import DeviceRunStartsWrap from "@/views/profile/DeviceRunStarts/index";
import { iotWebSocketBaseUrl } from "@/config/env";
import DeviceSelect from './deviceSelectNav'
export default {
  name: "StateManagement",
  components: {
    DeviceRunStartsWrap,
    DeviceSelect
  },
  props: {
    deviceInfo: {
      type: Object,
      default: () => {
        return {};
      },
    },
    realTimeData: {
      type: String,
      default: () => {
          return "{}";
        },
    }
  },
  data() {
    return {
      iotWebSocketBaseUrl,
    };
  },
  created() {
  },
  methods: {
  },
};
</script>
